org.apache.nutch.crawl

## Class CrawlDbReader.JsonIndenter

- java.lang.Object
- - com.fasterxml.jackson.core.util.MinimalPrettyPrinter
  - - org.apache.nutch.crawl.CrawlDbReader.JsonIndenter

- All Implemented Interfaces:
    com.fasterxml.jackson.core.PrettyPrinter, Serializable
  Enclosing class:
    CrawlDbReader

      public static class CrawlDbReader.JsonIndenter
      extends com.fasterxml.jackson.core.util.MinimalPrettyPrinter

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.util.MinimalPrettyPrinter

      `_rootValueSeparator, _separators`

    - ### Fields inherited from interface com.fasterxml.jackson.core.PrettyPrinter

      `DEFAULT_ROOT_VALUE_SEPARATOR, DEFAULT_SEPARATORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonIndenter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeObjectEntrySeparator(com.fasterxml.jackson.core.JsonGenerator jg)`
    `void` | `writeObjectFieldValueSeparator(com.fasterxml.jackson.core.JsonGenerator jg)`

    - ### Methods inherited from class com.fasterxml.jackson.core.util.MinimalPrettyPrinter

      `beforeArrayValues, beforeObjectEntries, setRootValueSeparator, setSeparators, writeArrayValueSeparator, writeEndArray, writeEndObject, writeRootValueSeparator, writeStartArray, writeStartObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonIndenter

          public JsonIndenter()

  - ### Method Detail

    - #### writeObjectFieldValueSeparator

          public void writeObjectFieldValueSeparator(com.fasterxml.jackson.core.JsonGenerator jg)
                                              throws IOException,
                                                     com.fasterxml.jackson.core.JsonGenerationException

      Specified by:
        `writeObjectFieldValueSeparator` in interface `com.fasterxml.jackson.core.PrettyPrinter`
      Overrides:
        `writeObjectFieldValueSeparator` in class `com.fasterxml.jackson.core.util.MinimalPrettyPrinter`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonGenerationException`

    - #### writeObjectEntrySeparator

          public void writeObjectEntrySeparator(com.fasterxml.jackson.core.JsonGenerator jg)
                                         throws IOException,
                                                com.fasterxml.jackson.core.JsonGenerationException

      Specified by:
        `writeObjectEntrySeparator` in interface `com.fasterxml.jackson.core.PrettyPrinter`
      Overrides:
        `writeObjectEntrySeparator` in class `com.fasterxml.jackson.core.util.MinimalPrettyPrinter`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonGenerationException`

Copyright © 2021 The Apache Software Foundation